Subject: bug#4776 closed by Dan Nicolaescu <[email-masked]> (Re: bug#4776: Error setting default face and unspecified-bg in default face when starting emacs 23.1 with --daemon)

From: [email-masked] (Emacs bug Tracking System)
Date: Wed, 04 Nov 2009 01:55:08 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#4776: Error setting default face and unspecified-bg in default face when  starting emacs 23.1 with --daemon

It has been closed by Dan Nicolaescu <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Dan Nicolaescu <[email-masked]> by
replying to this email.

-- 
4776: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4776
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4776: Error setting default face and unspecified-bg in default face when starting emacs 23.1 with --daemon
From: Dan Nicolaescu <[email-masked]>
To: Joshua Redstone <[email-masked]>
Cc: [email-masked]
Date: Tue, 3 Nov 2009 17:46:37 -0800 (PST)

Joshua Redstone <[email-masked]> writes:

  > I just checked out the current repository, compiled, and this problem doesn't
  > exist for me anymore.
  > Looks like it was fixed.

Thanks, closing them bug then.

  > Thanks,
  > Josh
  > 
  > On Wed, Oct 21, 2009 at 11:28 PM, Dan Nicolaescu <[email-masked]> wrote:
  > 
  >     Joshua Redstone <[email-masked]> writes:
  > 
  >      > Hi,
  >      > I downloaded emacs 23.1 and built it with './configure ; make' without
  >     incident
  >      > on my linux box 2.6.20.
  >      > In my .emacs I have the following specifying the default face:
  >      > (custom-set-faces
  >      >   ;; custom-set-faces was added by Custom.
  >      >   ;; If you edit it by hand, you could mess it up, so be careful.
  >      >   ;; Your init file should contain only one such instance.
  >      >   ;; If there is more than one, they won't work right.
  >      >  '(default ((t (:stipple nil :background "black" :foreground "white"
  >      > :inverse-video nil :box nil :strike-through nil :overline nil :underline
  >     nil
  >      > :slant normal :weight normal :height 140 :width normal))))
  >      > When I start emacs without --daemon, it starts without errors, works
  >     fine, and
  >      > the default face has reasonable values:
  >      > -----------
  > 
  >     This sounds a lot like bug#1078
  >     could you try with emacs from CVS and see if you get the problem there too?

Subject: Error setting default face and unspecified-bg in default face when starting emacs 23.1 with --daemon
From: Joshua Redstone <[email-masked]>
To: [email-masked]
Date: Wed, 21 Oct 2009 10:05:57 -0700

Hi,I downloaded emacs 23.1 and built it with './configure ; make' without
incident on my linux box 2.6.20.
In my .emacs I have the following specifying the default face:
(custom-set-faces
  ;; custom-set-faces was added by Custom.
  ;; If you edit it by hand, you could mess it up, so be careful.
  ;; Your init file should contain only one such instance.
  ;; If there is more than one, they won't work right.
 '(default ((t (:stipple nil :background "black" :foreground "white"
:inverse-video nil :box nil :strike-through nil :overline nil :underline nil
:slant normal :weight normal :height 140 :width normal))))
When I start emacs without --daemon, it starts without errors, works fine,
and the default face has reasonable values:
-----------

        Family: Luxi Mono
       Foundry: b&h
         Width: normal
        Height: 141
        Weight: normal
         Slant: normal
    Foreground: white
    Background: black
     Underline: nil
      Overline: nil
Strike-through: nil
           Box: nil
       Inverse: nil
       Stipple: nil
          Font: #<font-object -b&h-Luxi
Mono-normal-normal-normal-*-19-*-*-*-m-0-iso10646-1>
       Fontset: -b&h-Luxi
Mono-normal-normal-normal-*-19-*-*-*-m-0-fontset-auto1
       Inherit: unspecified

------------------
However, when I start emacs by first doing 'emacs --daemon', and then
'emacsclient -c', I get errors:
Unable to load color "unspecified-bg"
And the colors are not set correctly.  Poking around, I found that the
default face in this instance has:
---------------------------
        Family: Luxi Mono
       Foundry: b&h
         Width: normal
        Height: 119
        Weight: normal
         Slant: normal
    Foreground: black
    Background: unspecified-bg
     Underline: nil
      Overline: nil
Strike-through: nil
           Box: nil
       Inverse: nil
       Stipple: nil
          Font: #<font-object -b&h-Luxi
Mono-normal-normal-normal-*-16-*-*-*-m-0-iso10646-1>
       Fontset: -b&h-Luxi
Mono-normal-normal-normal-*-16-*-*-*-m-0-fontset-startup
       Inherit: unspecified
--------------------------
Further, when I use C-x,C-e to manually evaluate the custom-set-faces line
in my .emacs I get the following stack trace:
Debugger entered--Lisp error: (error "Undefined color" "unspecified-fg")
  internal-set-lisp-face-attribute(default :foreground "unspecified-fg"
#<frame [email-masked] 0x135f180>)
  set-face-attribute(default #<frame
[email-masked]> :stipple nil :background
"unspecified-bg" :foreground
"unspecified-fg" :inverse-video nil :box nil :strike-through nil :overline
nil :underline nil :slant normal :weight normal :height 1 :width normal
:foundry "default" :family "default")
  apply(set-face-attribute default #<frame
[email-masked]> (:stipple nil :background
"unspecified-bg" :foreground
"unspecified-fg" :inverse-video nil :box nil :strike-through nil :overline
nil :underline nil :slant normal :weight normal :height 1 :width normal
:foundry "default" :family "default"))
  face-spec-set-2(default #<frame
[email-masked]> ((t :stipple nil
:background "unspecified-bg" :foreground
"unspecified-fg" :inverse-video nil :box nil :strike-through nil :overline
nil :underline nil :slant normal :weight normal :height 1 :width normal
:foundry "default" :family "default")))
  face-spec-recalc(default #<frame [email-masked]>)
  face-spec-set(default ((t (:stipple nil :background "black" :foreground
"white" :inverse-video nil :box nil :strike-through nil :overline nil
:underline nil :slant normal :weight normal :height 140 :width normal))) t)
  custom-theme-set-faces(user (default ((t ...))))
  apply(custom-theme-set-faces user (default ((t ...))))
  custom-set-faces((default ((t ...))))
  eval((custom-set-faces (quote (default ...))))
  eval-last-sexp-1(nil)
  eval-last-sexp(nil)
  call-interactively(eval-last-sexp nil nil)

One more detail:  I'm (ssh -X)'ing into the linux box from a Snow Leopard
Mac running X11 (XQuartz 2.3.4 (xorg-server 1.4.2-apple45))

Anyone else seeing this behavior or know what to do about it?
Thanks,
Josh